'use strict';

/* {[The file is published on the basis of YetiForce Public License 5.0 that can be found in the following directory: licenses/LicenseEN.txt or yetiforce.com]} */"use strict";/**
 * Class Settings_YetiForce_Shop_Js.
 * @type {window.Settings_YetiForce_Shop_Js}
 */function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor))throw new TypeError("Cannot call a class as a function")}function _defineProperties(target,props){for(var descriptor,i=0;i<props.length;i++)descriptor=props[i],descriptor.enumerable=descriptor.enumerable||!1,descriptor.configurable=!0,"value"in descriptor&&(descriptor.writable=!0),Object.defineProperty(target,descriptor.key,descriptor);}function _createClass(Constructor,protoProps,staticProps){return protoProps&&_defineProperties(Constructor.prototype,protoProps),staticProps&&_defineProperties(Constructor,staticProps),Object.defineProperty(Constructor,"prototype",{writable:!1}),Constructor}window.Settings_YetiForce_Shop_Js=/*#__PURE__*/function(){/**
	 * Constructor.
	 */function Settings_YetiForce_Shop_Js(){var modalUrl=0<arguments.length&&void 0!==arguments[0]?arguments[0]:"index.php?module=YetiForce&parent=Settings";_classCallCheck(this,Settings_YetiForce_Shop_Js),this.container=$(".js-products-container"),this.modalUrl=modalUrl;}/**
	 * Register events.
	 */return _createClass(Settings_YetiForce_Shop_Js,[{key:"registerEvents",value:function registerEvents(){this.registerProductModalClick(),this.registerBuyModalClick(),this.registerShopSearch(),this.registerCategories(),this.registerSwitch(),this.showInitialModal();}},{key:"showInitialModal",value:function showInitialModal(){var request=app.convertUrlToObject(window.location.href);request.mode&&("buy"===request.showBuyModal?this.showBuyModal(request.product,request.department):"showProductModal"===request.mode&&this.showProductModal(request.product,request.department));}/**
	 * Register events.
	 */},{key:"registerShopSearch",value:function registerShopSearch(){var _this=this,searchField=this.container.find(".js-shop-search");searchField=searchField.length?searchField:$(".js-shop-search"),searchField.on("keyup",function(e){var value=$(e.currentTarget).val().toLowerCase();_this.container.find(".js-product .js-text-search").filter(function(){var item=$(this).closest(".js-product");-1<$(this).text().toLowerCase().indexOf(value)?item.removeClass("d-none"):item.addClass("d-none");});}).on("click",function(e){e.stopPropagation();});}/**
	 * Register product modal click.
	 *
	 */},{key:"registerProductModalClick",value:function registerProductModalClick(){var _this2=this;this.container.find(".js-product").on("click",function(e){var target=$(e.target);if(!(target.hasClass("js-product-switch")||target.closest(".js-stop-parent-trigger").length)){var currentTarget=$(e.currentTarget);_this2.showProductModal(currentTarget.data("product"),_this2.getDepartment(currentTarget));}});}/**
	 * Register switch
	 */},{key:"registerSwitch",value:function registerSwitch(){this.container.find(".js-product-switch").on("change",function(e){var currentTarget=$(e.currentTarget),isChecked=currentTarget.is(":checked"),confirm=currentTarget.data("confirm");confirm&&app.showConfirmModal({title:confirm,confirmedCallback:function confirmedCallback(){var url=isChecked?currentTarget.data("url-on"):currentTarget.data("url-off");url&&($.progressIndicator({blockInfo:{enabled:!0}}),AppConnector.request(url).done(function(){window.location.reload();}));},rejectedCallback:function rejectedCallback(){currentTarget.prop("checked",!isChecked);}});});}/**
	 * Show product modal action.
	 *
	 * @param   {string}  productName
	 * @param   {string}  department
	 */},{key:"showProductModal",value:function showProductModal(productName,department){var _this3=this;app.showModalWindow(null,"".concat(this.modalUrl,"&view=ProductModal&product=").concat(productName).concat(department?"&department="+department:""),function(modalContainer){modalContainer.find(".js-modal__save").on("click",function(){app.hideModalWindow(),_this3.showBuyModal(productName,department);});});}/**
	 * Register buy modal click.
	 *
	 */},{key:"registerBuyModalClick",value:function registerBuyModalClick(){var _this4=this;this.container.find(".js-buy-modal").on("click",function(e){e.stopPropagation();var currentTarget=$(e.currentTarget);_this4.showBuyModal(currentTarget.data("product"),_this4.getDepartment(currentTarget));});}/**
	 * Show buy modal action.
	 *
	 * @param   {string}  productName
	 * @param   {string}  department
	 */},{key:"showBuyModal",value:function showBuyModal(productName,department){app.showModalWindow(null,"".concat(this.modalUrl,"&view=BuyModal&product=").concat(productName).concat(department?"&department="+department:""),this.registerBuyModalEvents.bind(this));}},{key:"registerBuyModalEvents",value:function registerBuyModalEvents(modalContainer){var _this5=this,companyForm=modalContainer.find(".js-update-company-form"),buyForm=modalContainer.find(".js-buy-form");modalContainer.find(".js-modal__save").on("click",function(){_this5.registerBuyModalForms(companyForm,buyForm);}),companyForm.length&&(companyForm.validationEngine(app.validationEngineOptions),companyForm.find("[data-inputmask]").inputmask()),buyForm.length&&buyForm.validationEngine(app.validationEngineOptions);}},{key:"registerBuyModalForms",value:function registerBuyModalForms(companyForm,buyForm){if(!companyForm.length)!0===buyForm.validationEngine("validate")?(this.updateCustomData(buyForm),buyForm.submit(),app.hideModalWindow()):app.formAlignmentAfterValidation(buyForm);else if(!0===companyForm.validationEngine("validate")){app.removeEmptyFilesInput(companyForm[0]);var formData=new FormData(companyForm[0]),progressIndicatorElement=$.progressIndicator({blockInfo:{enabled:!0}});AppConnector.request({url:"index.php",type:"POST",data:formData,processData:!1,contentType:!1}).done(function(data){data.success&&(buyForm.submit(),app.hideModalWindow()),progressIndicatorElement.progressIndicator({mode:"hide"});});}else app.formAlignmentAfterValidation(companyForm);}/**
	 * Update custom data.
	 */},{key:"updateCustomData",value:function updateCustomData(buyForm){var customField=buyForm.find(".js-custom-data"),priceBySize=buyForm.find(".js-price-by-size");if(customField.length){var customFields=buyForm.find(".js-custom-field");customFields.each(function(i,el){var field=$(el);customField.val("".concat(customField.val()).concat(field.data("name"),"::").concat(field.val()).concat(customFields.length-1===i?"":"|"));});}priceBySize.length&&priceBySize.siblings(".js-price-by-size-input").val(priceBySize.find("option[value=\"".concat(priceBySize.val(),"\"]")).data("os0"));}/**
	 * Get department.
	 *
	 * @param   {object}  element  jQuery
	 *
	 * @return  {string}
	 */},{key:"getDepartment",value:function getDepartment(element){var department=element.closest(".js-department");return department.length?department.data("department"):""}/**
	 * Register categories.
	 *
	 */},{key:"registerCategories",value:function registerCategories(){var _this6=this;this.container.find(".js-select-category").on("click",function(e){_this6.changeCategory($(e.currentTarget).data("tab"));}),this.changeCategory(this.container.find(".js-select-category.active").data("tab"));}/**
	 * Register categories.
	 *
	 */},{key:"changeCategory",value:function changeCategory(category){this.container.find(".js-nav-premium .js-product").each(function(){var product=$(this);"All"===category?product.removeClass("d-none"):product.data("category")===category?product.removeClass("d-none"):product.addClass("d-none");});}}]),Settings_YetiForce_Shop_Js}();
//# sourceMappingURL=Shop.min.js.map
